package com.jproxy.mlist.applet.jmsclock;

import javax.jms.*;
import java.text.SimpleDateFormat;

public class TopicMessageListener
	implements java.io.Serializable, MessageListener
{
	int count = 0;
	JMSClockApplet applet;

	public TopicMessageListener(JMSClockApplet _applet)
	{
		applet = _applet;
	}

	public void onMessage(Message message)
	{
		count++;
		try
		{
			ObjectMessage msg = (ObjectMessage)message;
			String time = (String)msg.getObject();
//			System.out.println("TIME="+time);
			applet.setTime(count+"  Time: "+time);
		}
		catch(JMSException e){
			e.printStackTrace();
		}
	}
}
