package com.jproxy.samples.corba.test;

import java.io.*;
import com.jproxy.samples.interfaces.*;

public class TestImpl
	extends TestPOA
{
	public TestImpl()
	{
	}


	private org.omg.CORBA.ORB orb;

	public void setORB(org.omg.CORBA.ORB orb_val)
	{
		orb = orb_val;
	}

	public byte[] echoBytes (byte[] bytes)
	{
		System.out.println("[JProxy CORBA Test] echoBytes: bytes: "+bytes.length);
		return bytes;
	}

	public long getServerTime()
	{
		long time = System.currentTimeMillis();
		System.out.println(new java.util.Date(time));
		return time;
	}

	public void callbackBytes (byte[] callback, int numberOfBytes, int numberOfLoops)
	{
		System.out.println("[JProxy CORBA Test] callbackBytes: bytes: "+numberOfBytes+" loops: "+numberOfLoops);
		byte[] buf = new byte[numberOfBytes];
		for(int i=0; i<numberOfBytes; i++)
			buf[i] = (byte)(i & 0xFF);

		for(int i=0; i<numberOfLoops; i++)
		{
			try{
				ITestCallback callbackObj = (ITestCallback)com.jproxy.proxy.Helper.deserialize(callback);
				callbackObj.onCallback(buf);
			}
			catch(Exception e){
				e.printStackTrace();
				break;
			}
		}
	}

}
