package com.jproxy.samples.ejb.test;

import java.util.*;
import com.jproxy.samples.interfaces.ITest;
import com.jproxy.samples.interfaces.ITestCallback;

public class JProxyPerformanceClient
	extends PerformanceClient
{
	public void init()
		throws Exception
	{
		if(hostUrl!=null && hostUrl.toLowerCase().startsWith("https://"))
		{
// if we want to turn on debugging then uncomment line below
//			System.setProperty("javax.net.debug", "all");
// HttpsURLConnection Sun implementation:
			System.setProperty("java.protocol.handler.pkgs", "com.sun.net.ssl.internal.www.protocol");

			java.security.Provider provider = (java.security.Provider)Class.forName("com.sun.net.ssl.internal.ssl.Provider").newInstance();
			java.security.Security.addProvider(provider);
		}

		session = (ITest)com.jproxy.proxy.Tunnel.newInstance(
			hostUrl/*""*/,// server URL
			"com.jproxy.samples.ejb.test.Test",// classname on the server-side which instance will be created
			new String[]{ITest.class.getName()},// interface for remote object access by the client
			new Class[]{},// types of constructor's arguments
			new Object[]{});// arguments of constructor
		isInitialized = true;
	}
}
